#
# RNG
#
scoreboard players add n potion_rnd 1
execute if score n potion_rnd matches 7.. run scoreboard players set n potion_rnd 1

#
# MADNESS RNG
#
scoreboard players add n random_madness 1
execute if score n random_madness matches 6.. run scoreboard players set n random_madness 1

#
# START POTION
#
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["start_potion"]}}]}] alch.used_p 1
clear @a[scores={alch.used_p=1..}] minecraft:potion{Tags:["start_potion"]}

#
# RANDOM POTION SYSTEM
#
execute if score n potion_rnd matches 1 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Speed Potion\",\"color\":\"white\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:9360614,Tags:["random_potion","speed_potion"]} 1
execute if score n potion_rnd matches 2 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Strength Potion\",\"color\":\"dark_red\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:7343880,Tags:["random_potion","strength_potion"]} 1
execute if score n potion_rnd matches 3 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Healing Potion\",\"color\":\"red\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:16064785,Tags:["random_potion","heal_potion"]} 1
execute if score n potion_rnd matches 4 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Resistance Potion\",\"color\":\"blue\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:1337077,Tags:["random_potion","resist_potion"]} 1
execute if score n potion_rnd matches 5 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Jump Boost Potion\",\"color\":\"aqua\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:521669,Tags:["random_potion","jump_potion"]} 1
execute if score n potion_rnd matches 6 run give @a[scores={alch.used_p=1..}] minecraft:potion{display:{Name:"[{\"text\":\"Invisibility Potion\",\"color\":\"aqua\",\"italic\":\"false\"},{\"text\":\" (F to use)\",\"color\":\"gray\",\"italic\":\"false\"}]"},CustomPotionColor:521669,Tags:["random_potion","invis_potion"]} 1
scoreboard players set @a[team=class_alchemist,scores={alch.used_p=1..}] potion_cd 40
scoreboard players set @a[scores={alch.used_p=1..}] alch.used_p 0

#
# RANDOM EFFECT SYSTEM
#

# RESISTANCE
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["resist_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["resist_potion"]}}]},scores={potion_cd=..0}] minecraft:resistance 4 2 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["resist_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained RESISTANCE effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["resist_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["resist_potion"]}

# JUMP BOOST
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["jump_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["jump_potion"]}}]},scores={potion_cd=..0}] minecraft:jump_boost 5 1 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["jump_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained JUMP effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["jump_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["jump_potion"]}

# INVIS
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["invis_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["invis_potion"]}}]},scores={potion_cd=..0}] minecraft:invisibility 6 1 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["invis_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained INVISIBILITY effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["invis_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["invis_potion"]}

# HEAL
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["heal_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["heal_potion"]}}]},scores={potion_cd=..0}] minecraft:instant_health 1 1 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["heal_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained HEAL effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["heal_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["heal_potion"]}

# STRENGHT
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["strength_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["strength_potion"]}}]},scores={potion_cd=..0}] minecraft:strength 4 2 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["strength_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained STRENGTH effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["strength_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["strength_potion"]}

# SPEED
scoreboard players add @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["speed_potion"]}}]},scores={potion_cd=..0}] alch.used_p 1
effect give @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["speed_potion"]}}]},scores={potion_cd=..0}] minecraft:speed 3 1 true
tellraw @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["speed_potion"]}}]},scores={potion_cd=..0}] "\u00A77\u00A7oGained SPEED effect"
clear @a[team=class_alchemist,tag=!arch_abil_cd,nbt={Inventory:[{Slot:-106b,tag:{Tags:["speed_potion"]}}]},scores={potion_cd=..0}] potion{Tags:["speed_potion"]}

#
# ALCHEMIST MADNESS SYSTEM
#
scoreboard players set @a[team=class_alchemist,nbt={Inventory:[{Slot:-106b,tag:{Tags:[alch_mad]}}]}] alch.used_mad 1
clear @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:brewing_stand{Tags:["alch_mad"]}
execute if score n random_madness matches 1 run effect give @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:speed 30 2 true
execute if score n random_madness matches 2 run effect give @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:jump_boost 30 1 true
execute if score n random_madness matches 3 run effect give @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:strength 30 2 true 
execute if score n random_madness matches 4 run effect give @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:resistance 30 2 true
execute if score n random_madness matches 5 run effect give @a[team=class_alchemist,scores={alch.used_mad=1..}] minecraft:instant_health 1 10 true

execute as @a[scores={alch.used_mad=1..}] at @s run execute if score n random_madness matches 1 run effect give @a[tag=!spectator,distance=0.05..1000] minecraft:poison 15 0 true
execute as @a[scores={alch.used_mad=1..}] at @s run execute if score n random_madness matches 2 run effect give @a[tag=!spectator,distance=0.05..1000] minecraft:blindness 15 1 true
execute as @a[scores={alch.used_mad=1..}] at @s run execute if score n random_madness matches 3 run effect give @a[tag=!spectator,distance=0.05..1000] minecraft:wither 7 1 true
execute as @a[scores={alch.used_mad=1..}] at @s run execute if score n random_madness matches 4 run effect give @a[tag=!spectator,distance=0.05..1000] minecraft:slowness 15 2 true
execute as @a[scores={alch.used_mad=1..}] at @s run execute if score n random_madness matches 5 run effect give @a[tag=!spectator,distance=0.05..1000] minecraft:weakness 15 3 true
scoreboard players set @a[scores={alch.used_mad=1..}] alch.used_mad 0

#
# TITLES
#
title @a[scores={potion_cd=1..},team=class_alchemist] actionbar ["",{"text":"Potion Cooldown: "},{"score":{"name":"*","objective":"potion_cd"},"color":"blue"}]
title @a[scores={potion_cd=1}] title ""
title @a[scores={potion_cd=1}] subtitle "\u00A7cYou can now use a potion!"

#
# POTION COOLDOWN
#
scoreboard players remove @a[team=class_alchemist,scores={potion_cd=1..}] potion_cd 1