# Squid Dead Animation
execute as @a[tag=DA_squid,tag=died_anim] at @s run summon minecraft:squid ~ ~ ~ {Tags:["kill_squid"],Invulnerable:1b,Silent:1b,NoAI:1b}
execute as @e[tag=kill_squid] at @s run data merge entity @s {Motion:[0.0,0.5,0.0],Rotation:[0f,-90f]}
execute as @e[tag=kill_squid,scores={kill_timer=1}] at @s run playsound minecraft:entity.bat.takeoff master @a ~ ~ ~ 10 1
execute as @e[tag=kill_squid] at @s run particle minecraft:cloud ~ ~ ~ 0 1 0 0 2 normal @a
scoreboard players add @e[tag=kill_squid] kill_timer 1
tp @e[tag=kill_squid,scores={kill_timer=20..}] ~ ~-100 ~
kill @e[tag=kill_squid,scores={kill_timer=25..}]

# Flying Heads Animation
execute as @a[tag=DA_bat,tag=died_anim] at @s run summon minecraft:villager ~ ~ ~ {Tags:[kill_bat],Offers:{},Silent:1b,NoAI:1b,ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}]}
execute as @a[tag=DA_bat,tag=died_anim] at @s run summon bat ~ ~2 ~ {Silent:1b,Invulnerable:1b,Tags:["kill_bat"],Passengers:[{id:"minecraft:zombie",Silent:1b,Invulnerable:1b,IsBaby:1b,Tags:["kill_bat"],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Name:"hapyl"}}}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}],Attributes:[{Name:generic.attackDamage,Base:0}]}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}]}
execute as @a[tag=DA_bat,tag=died_anim] at @s run summon bat ~ ~2 ~ {Silent:1b,Invulnerable:1b,Tags:["kill_bat"],Passengers:[{id:"minecraft:zombie",Silent:1b,Invulnerable:1b,IsBaby:1b,Tags:["kill_bat"],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Name:"sdimas74"}}}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}],Attributes:[{Name:generic.attackDamage,Base:0}]}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}]}
execute as @a[tag=DA_bat,tag=died_anim] at @s run summon bat ~ ~2 ~ {Silent:1b,Invulnerable:1b,Tags:["kill_bat"],Passengers:[{id:"minecraft:zombie",Silent:1b,Invulnerable:1b,IsBaby:1b,Tags:["kill_bat"],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Name:"DirtyEl"}}}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}],Attributes:[{Name:generic.attackDamage,Base:0}]}],ActiveEffects:[{Id:14b,Amplifier:5b,Duration:12000,ShowParticles:0b}]}
scoreboard players add @e[tag=kill_bat] kill_timer 1
tp @e[tag=kill_bat,scores={kill_timer=100..}] ~ ~-100 ~
kill @e[tag=kill_bat,scores={kill_timer=105..}]

# Guardians
execute as @a[tag=DA_guard,tag=died_anim] at @s run summon minecraft:armor_stand ~ ~1 ~ {Tags:["kill_fish","kill_fish_all"],NoGravity:1b,Invisible:1b}
execute as @a[tag=DA_guard,tag=died_anim] at @s run summon minecraft:guardian ^ ^1.5 ^1.5 {NoAI:1b,Invulnerable:1b,Tags:["kill_fish_2","kill_fish_all"],Silent:1b}
execute as @a[tag=DA_guard,tag=died_anim] at @s run summon minecraft:guardian ^ ^1.5 ^1.5 {NoAI:1b,Invulnerable:1b,Tags:["kill_fish_3","kill_fish_all"],Silent:1b}

execute as @e[tag=kill_fish,limit=1] at @s run tp @e[tag=kill_fish_2] ^ ^1 ^1 facing entity @e[tag=kill_fish,limit=1]
execute as @e[tag=kill_fish,limit=1] at @s run tp @e[tag=kill_fish_3] ^ ^1 ^-1 facing entity @e[tag=kill_fish,limit=1]
execute as @e[tag=kill_fish,limit=1] at @s run tp @s ~ ~0.2 ~
execute as @e[tag=kill_fish,limit=1] at @s run tp @s ~ ~ ~ ~15 ~
execute as @e[tag=kill_fish,scores={kill_timer=1}] at @s run playsound minecraft:entity.guardian.ambient_land master @a ~ ~ ~ 10 1
scoreboard players add @e[tag=kill_fish_all] kill_timer 1
tp @e[tag=kill_fish_all,scores={kill_timer=60..}] ~ ~-100 ~
kill @e[tag=kill_fish_all,scores={kill_timer=65..}]

# Sad Creeper
execute as @a[tag=DA_cree,tag=died_anim] at @s run summon minecraft:creeper ~ ~ ~ {Tags:[kill_cre],Fuse:500,ExplosionRadius:0,ignited:1b,NoAI:1b}
scoreboard players add @e[tag=kill_cre] kill_timer 1
execute as @e[tag=kill_cre,scores={kill_timer=41..}] at @s run data merge entity @s {Fuse:-1b}
execute as @e[tag=kill_cre,scores={kill_timer=1..10}] at @s run tp @s ~ ~0.1 ~ ~10 ~5
execute as @e[tag=kill_cre,scores={kill_timer=11..21}] at @s run tp @s ~ ~0.1 ~ ~20 ~5
execute as @e[tag=kill_cre,scores={kill_timer=21..30}] at @s run tp @s ~ ~0.1 ~ ~30 ~5
execute as @e[tag=kill_cre,scores={kill_timer=31..40}] at @s run tp @s ~ ~0.1 ~ ~50 ~5
tp @e[tag=kill_cre,scores={kill_timer=42..}] ~ ~-100 ~
kill @e[tag=kill_cre,scores={kill_timer=45..}]

# Cat Eruptiajkdsan

execute as @a[tag=DA_cats,tag=died_anim] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:[kill_cats],NoGravity:1b,Invisible:1b}

scoreboard players add @e[tag=kill_cats] kill_timer 1
execute as @e[tag=kill_cats,scores={kill_timer=1}] at @s run playsound minecraft:entity.cat.ambient master @a ~ ~ ~ 10 1
execute as @e[tag=kill_cats,scores={kill_timer=1}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:0,Tags:["kill_cat_2"],Motion:[0.3,0.5,0.0],Rotation:[-90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=1}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:0,Tags:["kill_cat_2"],Motion:[-0.3,0.5,0.0],Rotation:[90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=1}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:0,Tags:["kill_cat_2"],Motion:[0.0,0.5,0.3],Rotation:[0f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=1}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:0,Tags:["kill_cat_2"],Motion:[0.0,0.5,-0.3],Rotation:[180f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=20}] at @s run tp @e[tag=kill_cat_2] ~ 300 ~

execute as @e[tag=kill_cats,scores={kill_timer=21}] at @s run playsound minecraft:entity.cat.ambient master @a ~ ~ ~ 10 1
execute as @e[tag=kill_cats,scores={kill_timer=21}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:1,Tags:["kill_cat_2"],Motion:[0.3,0.5,0.0],Rotation:[-90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=21}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:1,Tags:["kill_cat_2"],Motion:[-0.3,0.5,0.0],Rotation:[90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=21}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:1,Tags:["kill_cat_2"],Motion:[0.0,0.5,0.3],Rotation:[0f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=21}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:1,Tags:["kill_cat_2"],Motion:[0.0,0.5,-0.3],Rotation:[180f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=40}] at @s run tp @e[tag=kill_cat_2] ~ 300 ~

execute as @e[tag=kill_cats,scores={kill_timer=41}] at @s run playsound minecraft:entity.cat.ambient master @a ~ ~ ~ 10 1
execute as @e[tag=kill_cats,scores={kill_timer=41}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:2,Tags:["kill_cat_2"],Motion:[0.3,0.5,0.0],Rotation:[-90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=41}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:2,Tags:["kill_cat_2"],Motion:[-0.3,0.5,0.0],Rotation:[90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=41}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:2,Tags:["kill_cat_2"],Motion:[0.0,0.5,0.3],Rotation:[0f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=41}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:2,Tags:["kill_cat_2"],Motion:[0.0,0.5,-0.3],Rotation:[180f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=60}] at @s run tp @e[tag=kill_cat_2] ~ 300 ~

execute as @e[tag=kill_cats,scores={kill_timer=61}] at @s run playsound minecraft:entity.cat.ambient master @a ~ ~ ~ 10 1
execute as @e[tag=kill_cats,scores={kill_timer=61}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:3,Tags:["kill_cat_2"],Motion:[0.3,0.5,0.0],Rotation:[-90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=61}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:3,Tags:["kill_cat_2"],Motion:[-0.3,0.5,0.0],Rotation:[90f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=61}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:3,Tags:["kill_cat_2"],Motion:[0.0,0.5,0.3],Rotation:[0f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=61}] at @s run summon ocelot ~ ~ ~ {Team:cats,CatType:3,Tags:["kill_cat_2"],Motion:[0.0,0.5,-0.3],Rotation:[180f,0f],Invulnerable:1b,Silent:1b}
execute as @e[tag=kill_cats,scores={kill_timer=80}] at @s run tp @e[tag=kill_cat_2] ~ 300 ~
execute as @e[tag=kill_cats,scores={kill_timer=81..}] at @s run kill @e[tag=kill_cat_2]
kill @e[tag=kill_cats,scores={kill_timer=81..}]

########################################
tag @a[tag=died_anim] remove died_anim