# CLEAR ITEMS IF NO LONGER IT THE LOBBY ZONE
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s book{Tags:["lobby_book"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s compass{Tags:["lobby_compass"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s emerald{Tags:["lobby_shop"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s diamond{Tags:["lobby_start"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s jukebox{Tags:["radio"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s barrier{Tags:["class_reset"]}
execute as @a run execute unless entity @s[x=-31,y=0,z=-31,dx=65,dz=65,dy=50] run clear @s player_head{Tags:["user_sett"]}


clear @a[scores={shop=1..}] book{Tags:["lobby_book"]}
clear @a[scores={shop=1..}] compass{Tags:["lobby_compass"]}
clear @a[scores={shop=1..}] emerald{Tags:["lobby_shop"]}
clear @a[scores={shop=1..}] diamond{Tags:["lobby_start"]}
clear @a[scores={shop=1..}] barrier{Tags:["class_reset"]}
clear @a[scores={shop=1..}] jukebox{Tags:["radio"]}
clear @a[scores={shop=1..}] player_head{Tags:["user_sett"]}
kill @e[type=minecraft:experience_bottle]
kill @e[type=minecraft:experience_orb]

# WIN TIME AND KILL TO 0 IF HAVE NOT
execute as @a run execute unless entity @s[scores={win_time=0..}] run scoreboard players set @s win_time 0
execute as @a run execute unless entity @s[scores={kill_count=0..}] run scoreboard players set @s kill_count 0

## 0 hour and min if reset
execute as @a run execute unless entity @s[scores={min_play=0..}] run scoreboard players set @s min_play 0
execute as @a run execute unless entity @s[scores={hour_play=0..}] run scoreboard players set @s hour_play 0


#
# LOBBY ITEMS GIVE
#
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.7 book{Tags:["lobby_book","und"],display:{Lore:["§7Basic information for new players!"],Name:"{\"text\":\"§cHelp Book §7(F to Use)\"}"}}
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.8 compass{Tags:["lobby_compass","und"],display:{Lore:["§7All main information about you: kills, wins count, time played etc."],Name:"{\"text\":\"§cUse Info §7(F to Use)\"}"}}
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.6 emerald{Tags:["lobby_shop","und"],display:{Lore:["§7Spend your catcoins for §eWinWords§7, §eBoosters§7,","§eModifiers §7and §eDeath Animations!","§7You can hover on an item in the shop to get info about it!"],Name:"{\"text\":\"§cShop §7(F to Open)\"}"}}
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.5 jukebox{Tags:["radio","und"],display:{Lore:["§7Listen any Minecraft songs while fighting!","§7Just choose a song and then enable the radio"],Name:"{\"text\":\"§cRadio §7(F to Open)\"}"}}
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.4 player_head{Tags:["user_sett","und"],display:{Lore:["§7Configure your settings, change your look at the game"],Name:"{\"text\":\"§cUser Settings §7(F to Open)\"}"}}

execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:[radio]}}]}] run scoreboard players set @s shop 5

execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,tag=class_choosen] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.2 barrier{Tags:["class_reset","und"],display:{Lore:["§7Reset your class if you dont wanna play"],Name:"{\"text\":\"§cReset Class §7(F to Use)\"}"}}
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,tag=class_choosen] unless entity @s[scores={shop=1..}] run replaceitem entity @s container.1 diamond{Tags:["lobby_start","und"],display:{Lore:["§7Start the when everyone is ready!","§7NOTE: Require at least two players with a class"],Name:"{\"text\":\"§bStart the Game §7(F to Use)\"}"}}


#
# MECHANICS
#

### BOOK
tellraw @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_book"]}}]}] "§cHelp Book:\n\n§8> §7To start the game choose a class and use the diamond\n§8> §7If you have a class you can reset it if you dont wanna play\n§8> §7In the shop you can buy §eWinWords§7, §eBoosters§7 and more!\n§8> §cUser Info §7tell you basic info about you like Kills, Wins etc.\n§8> §7You can earn §6CatCoins §7& §aXP §7by killing an enemies and winning\n§8> §7You can see your LVL in the XP bar and LVL others in TAB\n§8> §7Use §e/tigger stopgame §7if something goes wrong in game!\n"
clear @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_book"]}}]}] book{Tags:["lobby_book"]}

#
# TICKS TO SECONDS
#
scoreboard players add @a[scores={play_time=1}] sec_play 1
scoreboard players set @a[scores={play_time=21..}] play_time 0
### 60 sec to min
scoreboard players add @a[scores={sec_play=60..}] min_play 1
scoreboard players set @a[scores={sec_play=60..}] sec_play 1
### 60 min to hour
scoreboard players add @a[scores={min_play=60..}] hour_play 1
scoreboard players set @a[scores={min_play=60..}] min_play 1

### COMPASS
tellraw @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_compass"]}}]}] ["",{"text":"\n"},{"text":"User Info","color":"red"},{"text":":","color":"red"},{"text":"\n\n"},{"text":"Level: ","color":"dark_green"},{"score":{"name":"*","objective":"lvl"},"color":"green"},{"text":"\n"},{"text":"Catcoins: ","color":"dark_green"},{"score":{"name":"*","objective":"coins"},"color":"green"},{"text":"\n\n"},{"text":"Wins total: ","color":"yellow"},{"score":{"name":"*","objective":"win_time"},"color":"gold"},{"text":"\n"},{"text":"Kills total: ","color":"yellow"},{"score":{"name":"*","objective":"kill_count"},"color":"gold"},{"text":"\n"},{"text":"Time played: ","color":"yellow"},{"score":{"name":"*","objective":"hour_play"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"*","objective":"min_play"},"color":"gold"},{"text":"m","color":"gold"},{"score":{"name":"*","objective":"sec_play"},"color":"gold"},{"text":"s","color":"gold"},{"text":"\n "}]
clear @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_compass"]}}]}] compass{Tags:["lobby_compass"]}

### SHOP OPEN
execute as @a unless score @s shop matches 0.. run scoreboard players set @s shop 0
scoreboard players set @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_shop"]}}]}] shop 1
clear @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_shop"]}}]}] emerald{Tags:["lobby_shop"]}

### RESET CLASS
team leave @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["class_reset"]}}]}]
tellraw @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["class_reset"]}}]}] "§aYour Class has been reset"
tag @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["class_reset"]}}]}] remove class_choosen

### FAST START GAME
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["lobby_start"]}}]}] run function map:startgame/main

### USER SETT
execute as @a[x=-31,y=0,z=-31,dx=65,dz=65,dy=50,tag=!ingame,nbt={Inventory:[{Slot:-106b,tag:{Tags:["user_sett"]}}]}] run scoreboard players set @s shop 8

# Abandon Item
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tellraw @s "§cParkour Challenge Abandoned!"
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_in1
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch1
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch2
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch3
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch4
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch5
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tag @s remove p_ch6
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run scoreboard players reset @s parkour_time
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run scoreboard players reset @s parkour_time_s
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run tp @s 4 13.5 -1 180 0
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_abandon"]}}]}] run clear @s oak_door{Tags:[PI_abandon]}

# Checkpoint
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch1,tag=!p_ch2] run tp @s @e[tag=p_1,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch2,tag=!p_ch3] run tp @s @e[tag=p_2,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch3,tag=!p_ch4] run tp @s @e[tag=p_3,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch4,tag=!p_ch5] run tp @s @e[tag=p_4,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch5,tag=!p_ch6] run tp @s @e[tag=p_5,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]},tag=p_ch6] run tp @s @e[tag=p_6,limit=1]
execute as @a[nbt={Inventory:[{Slot:-106b,tag:{Tags:["PI_tp"]}}]}] run clear @s minecraft:heavy_weighted_pressure_plate{Tags:[PI_tp]}

# LAST PERIOD
clear @a[tag=!ingame,scores={shop=0},nbt={Inventory:[{Slot:-106b}]}]